<?php
$yahooSearch = new YahooSearch();
$yahooSearch->sendHeaders();
$rxml = $yahooSearch->getResults();
$xml = simplexml_load_string($rxml) or die ("fout bij file openen");
?>
<taconite-root>
    <taconite-replace-children contextNodeID="popup" 
                          parseInBrowser="true">
       <?php 
 
 foreach ($xml->Result as $item) {
   $title = htmlentities($item->Title,ENT_QUOTES);
   $url = htmlentities($item->Url,ENT_QUOTES);
   $summary = htmlentities($item->Summary,ENT_QUOTES);
   echo "<div onmouseover=\"hilite(this);\" onmouseout=\"unhilite(this);\">\n";
   echo "<a href=\"$url\" class=\"autocomplete\" target=\"_blank\">\n";
   echo $title,"</a>\n";
   echo "</div>\n";    
}
       ?>  
    </taconite-replace-children>
</taconite-root> 
<?php

//
class YahooSearch {
        // Set the url for the service:
    protected $url = 'http://api.search.yahoo.com/WebSearchService/V1/webSearch?';
    protected $query;
    protected $maxResults;
    protected $params;

    public function __construct() {
        $this->query = $_GET['searchTerm'];
        $this->maxResults = 10;
    }

    function sendHeaders() {
        header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
        header('Content-type: text/xml');
    }

    function getResults() {
        $this->init();
        $request = $this->buildUrl($this->url, $this->params);
        $result = $this->getXMLArray($request);
        return $result;
    }

    function init() {
        // Build an array with the parameters we want to use:
        $this->params = array ('appid' => 'YahooDemo',
             'query' => urlencode($this->query), 
             'results' => $this->maxResults);
    }

    //
    // A small url building function:
    function buildUrl($url, $params) {
        $qstring = ''; // Initialize...
        foreach ($params as $key => $value) { // Build query string...
            $qstring .= '&'."$key=$value";
        }
        $qstring = ltrim($qstring, '&'); // Trim the fat...
        return $url.$qstring;
    }

    // This function accesses an XML file and reads it into a variable: 
    function getXMLArray($url) {
        // Access the file ~ make the request:
        $handle = fopen($url, "rb");
        while (!feof($handle)) {
            // Read the resulting XML into the variabl $xml:
            $xml .= fread($handle, 8192);
        }
        fclose($handle);
        return $xml;
    }

}
?>