<?php 
/* Class. */
class yahooStock
{
    /* Function. */
    function get_stock_quote($symbol)
    {
        // Yahoo! Finance URL to fetch the CSV data.
        $url = sprintf("http://finance.yahoo.com/d/quotes.csv?s=$symbol&f=sl1d1t1c1ohgv&e=.csv", $symbol);
        $fp  = fopen($url, 'r');
        if (!fp) {
            echo 'Error : cannot recieve stock quote data.';
        } else {
            $data = @fgetcsv($fp, 4096, ', '); 
            fclose($fp);
            $this->symbol = $data[0]; // Stock symbol.
            $this->last   = $data[1]; // Last Trade (current price).
            $this->date   = $data[2];
            $this->time   = $data[3];
            $this->change = $data[4]; // + or - amount change.
            $this->open   = $data[5];
            //$this->high   = $data[6];
            //$this->low    = $data[7];
            //$this->volume = $data[8];
        }
    }
}

// Stock symbols.
$symbols = array('AMGN','AXP','MAT','MCD', 'IBM', 'GOOG', 'MSFT');
$i = 0;
// Declare class.
$quote = new yahooStock; // new stock.
// Loop thru array of symbols.
if (isset($_REQUEST['stockTickers'])){
 $symbols = explode(' ', trim($_REQUEST['stockTickers']));    
}
else $symbols = explode(' ', DEFAULT_STOCK_TICKERS);
echo "<ul>\n";
foreach ($symbols as $symbol) {
    $quote->get_stock_quote(trim($symbol)); // Pass the Company's symbol. 
    echo "<li><a href=\"http://finance.yahoo.com/q?s=" .$symbol. 
"\" title=\"Yahoo! Finance: " .$symbol. 
"\">$quote->symbol</a>\n"; // can use $quote->symbol or $symbol
//    echo "<ul>\n";
    echo "<br/>Last Trade: \$" .$quote->last. "\n"; // price.
    echo '<br/>Change: <span style="';
    /* Make the + or - change elicit differing coloration. */
    $str   = $quote->change;
    $first = $str{0};
    if ($first == '+') {       // If we gained print the # in GREEN.
        echo 'color:#009900;';
    } elseif ($first == '-') { // If we lost RED.
        echo 'color:#990000;';
    } else {                   // NO color.
        echo 'font-weight:normal;';
    } // endelseif
    echo "\">" .$quote->change. "</span>\n";
    echo "<br/>Date/time: " .$quote->date. ", ".$quote->time."\n"; // price.
//    echo "<br/>Open: " .$quote->open. "\n"; // price.
//    echo "</ul>\n";
    echo "</li>\n";
} // endforeach
echo "</ul>\n";
?>