<?php
$refresh = new AutoComplete();
//$refresh->sendHeaders();
$refresh->getResults();

//
class AutoComplete {
    public $names = array ();
    public $prefix;

    public function __construct() {
        $this->prefix = $_GET['names'];
        $this->init();
    }

    function sendHeaders() {
        header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
//        header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
        header('Content-type: text/xml');
    }

    function getResults() {
        $service = NameService::getInstance($this->names);
        $matching = $service->findNames($this->prefix);

        if (count($matching) > 0) {
            $this->sendHeaders();

            $resp = "<response>";
            foreach($matching as $name) {
                $resp .= "<name>$name</name>";
            }
            $resp .= "</response>";
            echo $resp;
        } else {
                 header("HTTP/1.1 204 No Content");
                 exit();
            
//            response.setStatus(HttpServletResponse.SC_NO_CONTENT);
            //response.flushBuffer();
        }
    }

    function init() {
        $this->names[] = "Abe";
        $this->names[] = "Abel";
        $this->names[] = "Abigail";
        $this->names[] = "Abner";
        $this->names[] = "Abraham";
        $this->names[] = "Marcus";
        $this->names[] = "Marcy";
        $this->names[] = "Marge";
        $this->names[] = "Marie";
    }
}

//

class NameService {
    private $names;
    
    /** Creates a new instance of NameService */
    function __construct($list_of_names) {
        $this->names = $list_of_names;
    }
    
    public static function getInstance($list_of_names) {
        return new NameService($list_of_names);
    }
    
    public function findNames($prefix) {
        $len = strlen($prefix);
        $matches = array();
        foreach($this->names as $name) {
            if((strncasecmp($prefix, $name, $len)) == 0){        
                $matches[] = $name;
            }
        }
        return $matches;
    }
    
}

?>