<?php
session_start();
$refresh = new EmployeeList();

//$refresh->sendHeaders();
$result = $refresh->getResults();
//echo $result;

//
class EmployeeList {
    public $action;

    public function __construct() {
        $this->action = $_GET['action'];
    }

    function sendHeaders() {
        header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
        //       header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
        header('Content-type: text/xml');
    }

    function getResults() {
        if($this->action == "add") {
            $this->addEmployee();
        }
        else if($this->action == "delete") {
            $this->deleteEmployee();
        }
        
    }
    
    private function sendResponse($responseText) {
            $this->sendHeaders();
            echo $responseText;
    }
    
    protected function addEmployee() {
        
        //Store the object in the database
        $uniqueID = $this->storeEmployee();
        
        //Create the response XML
        $xml = "<result><uniqueID>";
        $xml .= $uniqueID;
        $xml .= "</uniqueID>";
        $xml .= "<status>1</status>";
        $xml .= "</result>";
        
        //Send the response back to the browser
        $this->sendResponse($xml);
    }
    
    protected function deleteEmployee() {
        
        $id = $_GET["id"];
        /* Assume that a call is made to delete the employee from the database */
        
        //Create the response XML
        $xml = "<result>";
        $xml .= "<status>1</status>";
        $xml .= "</result>";
        
        //Send the response back to the browser
        $this->sendResponse($xml);
    }


    private function storeEmployee() {
        /* Assume that the employee is saved to a database and the
         * database creates a unique ID. Return the unique ID to the 
         * calling method. In this case, make up a unique ID.
         */
        $uniqueID = "";
//        Random randomizer = new Random(System.currentTimeMillis());
        for($i = 0; $i < 8; $i++) {
            $uniqueID .= rand(0,9);
        }
        
        return $uniqueID;
    }
}
?>