<?php
$toolTip = new ToolTip();
$toolTip->sendHeaders();
echo $toolTip->getResults();

//
class ToolTip {
    protected $courses = array ();
    protected $task;

    public function __construct() {
        $this->key = $_GET['key'];
        $this->init();
    }

    function sendHeaders() {
        header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
//        header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
        header('Content-type: text/xml');
    }

    function getResults() {
        $results = "<response>";
        $data = $this->courses[$this->key];
        $results .= "<par>".$data->getPar()."</par>";
        $results .= "<length>".$data->getLength()."</length>";
        $results .= "</response>";
        return $results;
    }

    function init() {
        $this->courses[1] = new CourseData(72, 7290); // augusta
        $this->courses[2] = new CourseData(70, 7214); // pinehurst
        $this->courses[3] = new CourseData(72, 6566); // standrews
        $this->courses[4] = new CourseData(70, 7392); // baltusrol
   }
}

//
    class CourseData {
        protected $par;
        protected $length;
        
        public function __construct($par, $length) {
            $this->par = $par;
            $this->length = $length;
        }
        
        public function getPar() {
            return $this->par;
        }
        
        public function getLength() {
            return $this->length;
        }
    }

?>