<?php
$yahooSearch = new YahooSearch();
$yahooSearch->sendHeaders();
echo $yahooSearch->getResults();

//
class YahooSearch {
        // Set the url for the service:
    protected $url = 'http://api.search.yahoo.com/WebSearchService/V1/webSearch?';
    protected $query;
    protected $maxResults;
    protected $params;

    public function __construct() {
        $this->query = $_GET['query'];
        $this->maxResults = $_GET['results'];
    }

    function sendHeaders() {
        header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
        //        header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
        header('Content-type: text/xml');
    }

    function getResults() {
        $this->init();
        $request = $this->buildUrl($this->url, $this->params);
        $result = $this->getXMLArray($request);
        return $result;
    }

    function init() {
        // Build an array with the parameters we want to use:
        $this->params = array ('appid' => 'YahooDemo',
             'query' => urlencode($this->query), 
             'results' => $this->maxResults);
    }

    //
    // A small url building function:
    function buildUrl($url, $params) {
        $qstring = ''; // Initialize...
        foreach ($params as $key => $value) { // Build query string...
            $qstring .= '&'."$key=$value";
        }
        $qstring = ltrim($qstring, '&'); // Trim the fat...
        return $url.$qstring;
    }

    // This function accesses an XML file and reads it into a variable: 
    function getXMLArray($url) {
        // Access the file ~ make the request:
        $handle = fopen($url, "rb");
        while (!feof($handle)) {
            // Read the resulting XML into the variabl $xml:
            $xml .= fread($handle, 8192);
        }
        fclose($handle);
        return $xml;
    }

}
?>