var weatherForecastIntervalID = 0;

function updateWeatherForecast() {
    var ajaxRequest = new AjaxRequest("weather/UpdateWeatherForecast.php");
    ajaxRequest.addFormElementsById("forecastZipCode");
    ajaxRequest.sendRequest();
}

function handleZipCodeChange() {
    var zipCode = document.getElementById("forecastZipCode").value;
    if(isValidZipCode(zipCode)) {
        updateWeatherForecast();
        startWeatherUpdateInterval();
    }
    else {
        if(weatherForecastIntervalID != 0) {
            window.clearInterval(weatherForecastIntervalID);
            weatherForecastIntervalID = 0;
        }
    }
}

function handleLocationChange() {
    var locCode = document.f1.forecastLocation.options[document.f1.forecastLocation.selectedIndex].value;
	document.getElementById("forecastZipCode").value = locCode;
	updateWeatherForecast();
    startWeatherUpdateInterval();
}

function startWeatherUpdateInterval() {
    weatherForecastIntervalID = window.setInterval("updateWeatherForecast()", 300000);
}

function isValidZipCode(zip) {
//    if(zip.length == 5 && isAllDigits(zip)) {
   if(zip.length == 8 ) {
        return true;
    }

    return false;
}

function isAllDigits(argvalue) {
    argvalue = argvalue.toString();
    var validChars = "0123456789";
    var startFrom = 0;

    for (var n = startFrom; n < argvalue.length; n++) {
        if (validChars.indexOf(argvalue.substring(n, n+1)) == -1) {
            return false;
        }
    }
    return true;
}

